## ros-melodic-laser-scan-sparsifier 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(laser_scan_sparsifier)

# List C++ dependencies on ros packages
set( ROS_CXX_DEPENDENCIES
  roscpp
  nodelet
  sensor_msgs)

# Find catkin and all required ROS components
find_package(catkin REQUIRED COMPONENTS ${ROS_CXX_DEPENDENCIES})

# Set include directories
include_directories(include ${catkin_INCLUDE_DIRS})

# Declare info that other packages need to import library generated here
catkin_package(
    INCLUDE_DIRS include
    LIBRARIES laser_scan_sparsifier
    CATKIN_DEPENDS ${ROS_CXX_DEPENDENCIES}
)

#Create library
add_library(laser_scan_sparsifier src/laser_scan_sparsifier.cpp)
target_link_libraries( laser_scan_sparsifier ${catkin_LIBRARIES})
add_dependencies(laser_scan_sparsifier ${catkin_EXPORTED_TARGETS})

#Create nodelet
add_library(laser_scan_sparsifier_nodelet src/laser_scan_sparsifier_nodelet.cpp)
target_link_libraries(laser_scan_sparsifier_nodelet laser_scan_sparsifier)

#Create node
add_executable(laser_scan_sparsifier_node src/laser_scan_sparsifier_node.cpp)
target_link_libraries( laser_scan_sparsifier_node laser_scan_sparsifier )

#Install library
install(TARGETS laser_scan_sparsifier laser_scan_sparsifier_nodelet
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

#Install library includes
install(DIRECTORY include/laser_scan_sparsifier/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION} )

#Install node
install(TARGETS laser_scan_sparsifier_node
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

#Install nodelet description
install(FILES laser_scan_sparsifier_nodelet.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

#Install demo directory
install(DIRECTORY demo
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

=== debian/changelog ===
ros-melodic-laser-scan-sparsifier (0.3.3-2bionic) bionic; urgency=high

  * update to use non deprecated pluginlib macro

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Mon, 15 Feb 2021 05:00:00 -0000

ros-melodic-laser-scan-sparsifier (0.3.2-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Sat, 19 Mar 2016 04:00:00 -0000

ros-melodic-laser-scan-sparsifier (0.3.1-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Fri, 18 Dec 2015 05:00:00 -0000

ros-melodic-laser-scan-sparsifier (0.3.0-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Tue, 10 Nov 2015 05:00:00 -0000

ros-melodic-laser-scan-sparsifier (0.2.1-2bionic) bionic; urgency=high

  * [sys] Catkinizing: laser_scan_sparsifier
  * [sys] renamed skip to step parameter in scan sparsifier
  * Contributors: Ivan Dryanovski, Miguel Sarabia

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Wed, 14 Oct 2015 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-laser-scan-sparsifier
Section: misc
Priority: optional
Maintainer: Ivan Dryanovski <ccnyroboticslab@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-sensor-msgs
Homepage: http://wiki.ros.org/laser_scan_matcher
Standards-Version: 3.9.2

Package: ros-melodic-laser-scan-sparsifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: The laser_scan_sparsifier takes in a LaserScan message and sparsifies it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-laser-scan-sparsifier//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
